Name:           scummvm
Version:        1.8.1
Release:        %mkrel 1
Summary:        An implementation of LucasArts's SCUMM interpreter
Group:          Games/Adventure
License:        GPLv2+ and LGPLv2+
Url:            http://scummvm.sourceforge.net
Source0:        http://www.scummvm.org/frs/%{name}/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  nasm
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(libmpeg2)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(vorbis)

%description
ScummVM is an implementation of LucasArts S.C.U.M.M.
(Script Creation Utility for Maniac Mansion) interpreter, used in games
such as Monkey Island, Indiana Jones, Day Of The Tentacle, Sam and Max,
and many more. Some things are still missing, and some games cannot
be completeted yet. There are quite a few known bugs. Regardless of
the bugs it is still possible to play some games all the way through
to the end.

Some of these games have been released as freeware by their
developers, install e.g. beneath-a-steel-sky or
flight-of-the-amazon-queen packages to play.

%prep
%setup -q

%build
# Not a true autoconf script, our macros would fail
%setup_compile_flags
./configure \
  --prefix=%{_prefix} \
  --bindir=%{_gamesbindir} \
  --datadir=%{_datadir}/%{name} \
  --mandir=%{_mandir}

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cp dists/%{name}.desktop %{buildroot}%{_datadir}/applications

install -D -m 644 dists/redhat/scummvm48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -D -m 644 icons/scummvm.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%files
%doc %{_docdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/%{name}/
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*


%changelog
* Sat Aug 27 2016 akien <akien> 1.8.1-1.mga6
+ Revision: 1049301
- Version 1.8.1
- Cleanup obsolete instructions
- Fix installation path of the scummvm data files
- Version 1.8.1

* Mon Mar 14 2016 zezinho <zezinho> 1.8.0-1.mga6
+ Revision: 990436
- new version

* Wed Feb 17 2016 umeabot <umeabot> 1.7.0-2.mga6
+ Revision: 962771
- Mageia 6 Mass Rebuild

* Mon Sep 07 2015 zezinho <zezinho> 1.7.0-1.mga6
+ Revision: 873854
- new version 1.7

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-4.mga6
+ Revision: 747705
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-3.mga5
+ Revision: 689087
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 528390
- Mageia 4 Mass Rebuild

* Tue Jun 18 2013 zezinho <zezinho> 1.6.0-1.mga4
+ Revision: 444800
- patch applied upstream
- new version

* Mon Jan 14 2013 umeabot <umeabot> 1.5.0-2.mga3
+ Revision: 381920
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 04 2012 zezinho <zezinho> 1.5.0-1.mga3
+ Revision: 288178
- new version

* Fri Feb 03 2012 zezinho <zezinho> 1.4.1-1.mga2
+ Revision: 204185
- applied peroyvind build fix
- applied peroyvind build fix
- new version

* Sat Nov 12 2011 zezinho <zezinho> 1.4.0-1.mga2
+ Revision: 167033
- new version

* Mon Oct 10 2011 zezinho <zezinho> 1.3.1-1.mga2
+ Revision: 153732
- new version

* Mon Sep 26 2011 zezinho <zezinho> 1.2.0-1.mga2
+ Revision: 148989
- suggests some game to be usefull
- imported package scummvm

